# Environment Troubleshooting

## Environment Requirements

#### Incompatible Operating System

> *Incompatible operating system, the current OS is: {SYS\_PLATFORM}, the required OS are: macOS, Linux or Windows.*

Redefine does not support the machine's operating system.\
You can find the list of supported OS here: [Supported Technologies](/integrations/supported-technologies.md#supported-operating-systems)

#### Package Version Unsupported

> *Package `{name}` version is {version} - the minimal supported version is {supported\_version}*

Redefine supports the package indicated in the above message only from the minimum written version. If it is possible, please upgrade the version to {} and above. Otherwise, please contact Redefine customer support.

#### CI Platform not Detected

> CI Platform not detected! The supported CI platforms are: \[...]

Redefine could not detect your CI platform. This could mean one of the following -

* Redefine was executed outside of a CI Platform - this is not currently supported
* Redefine did not have access to the CI Environment variables, see further details and solution in [#ci-environment-variables-missing](#ci-environment-variables-missing "mention")
* Redefine was executed in an unsupported CI Platform. Check [Supported Technologies](/integrations/supported-technologies.md) for detailed list of supported CI Platforms.

If this is not one of the cases above, please contact us at <support@redefine.dev>

#### CI Environment Variables Missing

> *CI platform-specific environment variables are missing - Make sure to you are running Redefine in your CI platform and it has access to the CI's environment variables*

Redefine relies on environment variables delivered from the CI platform. Depending on your CI architecture, this may not be automatically available, for example -

* Running docker container in your CI - you will have to pass the environment variables from your CI platform to your docker image - see
* Running redefine in a process with clean environment variables - make sure to pass the parent's environment variables to the process running redefine"

Please make sure your CI is supported [Supported Technologies](/integrations/supported-technologies.md)

#### Package is not Officially Supported

> *Package {plugin} is not officially supported*

Currently, the package is not officially supported or tested in Redefine. It is not expected to cause issues, but we recommend being aware of it and contacting us at <support@redefine.dev> in case of any problem.

#### Stable Branch Not Configured

> *Stable branch is not configured, can't verify git - Make sure to configure stable branch using `Redefine config set stable_branch=<your_branch>`*

You did not configure your Redefine stable branch, please make sure to configure it by running `Redefine config set stable_branch=<your_stable_branch>`\
For more information see [Broken mention](broken://pages/sI3tiZbByHpV9KnDjxNi#set-stable-branch)

#### Can't Detect Branch From CI

> *Can't detect branch from CI environment variables, cannot verify git!*

Redefine relies on environment variables delivered from the CI platform. Depending on your CI architecture, this may not be automatically available, for example -

* Running docker container in your CI - You will have to propagate the environment variables from your CI platform to your docker image - See [docker run with env](https://docs.docker.com/engine/reference/commandline/run/#env).
* Running redefine in a process with clean environment variables - Make sure to pass the parent's environment variables to the process running redefine

Please make sure your CI is supported [Supported Technologies](/integrations/supported-technologies.md)

#### Missing CI Parameter

> {param} (env name: {env}): Missing!

A param named {param\_name} is missing and could not be auto-detected. for example: source\_branch, source\_commit, git\_repo, job\_name, pipeline\_name, ci\_run\_id. make sure you are running on a valid CI platform.

## Redefine Authorization

#### Redefine Key Missing

> *REDEFINE\_AUTH environment variable not set - Make sure to export it correctly, Make sure to set it with the API\_KEY you were provided by Redefine.dev If you haven't, please contact us at <support@Redefine.dev>*

Redefine requires a `REDEFINE_AUTH` env to be exported for authentication.

* The required format for the variable is: `<client_id>::<client_secret>`
* for secrets storing best practices see [GitHub Actions](https://docs.github.com/en/actions/security-guides/encrypted-secrets) | [GitLab CI](https://docs.gitlab.com/ee/ci/secrets/) | [Jenkins](https://www.jenkins.io/doc/developer/security/secrets/) | [CircleCI](https://circleci.com/docs/security-recommendations/?utm_source=google\&utm_medium=sem\&utm_campaign=sem-google-dg--emea-en-dsa-tROAS-auth-brand\&utm_term=g_-c__dsa\&utm_content=\&gclid=CjwKCAjwo7iiBhAEEiwAsIxQEa7XGK25SIOM9uF6QmG77SjFOvDx-bFpR12qn1d_aXJ3ZxC2d_l5ThoCcBsQAvD_BwE) | [TeamCity](https://www.jetbrains.com/help/teamcity/security-notes.html#Recommended+Security+Practices)
* If you haven’t received Redefine credentials, contact us at <https://www.redefine.dev/demo>.

#### Authorization Variable Improperly Formatted

> *REDEFINE\_AUTH environment variable is not in the format `client_id::client_secret`*

Redefine requires a `REDEFINE_AUTH` env to be exported with the format: \<client\_id>::\<client\_secret>, please make sure to export it in the correct format, or contact support if you don't know what is your Redefine auth

#### Failed to Authenticate

> *Failed to generate authentication token, please contact Redefine support at `support@Redefine.dev`*

If Redefine fails to authenticate for an unknown reason, contact Redefine support

## Server Connection Issues

#### Unable to connet to Redefine Server

> *Unable to connect to Redefine server - Make sure you have access to Redefine.dev and its sub-domains, and outgoing rule for port 443/50500*

Redefine uses ports 443/50500 to perform gRPC access to the Redefine Cloud. If this access is blocked, Redefine will not be able to operate. Please make sure the access isn't blocked by a firewall or other means.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redefine.dev/troubleshooting/verify-troubleshooting/environment-troubleshooting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
